Update Listing

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.lwolf.com/doc/homespotter/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "HomeSpotter MCP server": {
    "url": "https://apidocs.lwolf.com/doc/homespotter/mcp"
  }
}

Close
GET /dashboard/integration/update/{partner_short_code}

Update listing information for an existing campaign

Path parameters

  • partner_short_code string Required

Query parameters

  • mls_id string Required

    MLS ID of listing to update

  • zip string Required

    ZIP code of listing

  • price number(double)

    Updated price

  • status string

    Updated status

    Values are new, rent, pending, sold, reducedprice, or closed.

  • token string Required

Responses

  • 200

    Listing updated successfully

  • 400

    Invalid parameters

  • 401

    Unauthorized

GET /dashboard/integration/update/{partner_short_code}
curl \
 --request GET 'https://boost.homespotter.com/dashboard/integration/update/{partner_short_code}?mls_id=string&zip=string&token=string&token=api_token_value'